import 'package:flutter/material.dart';

class RoundedTrianglePainter extends CustomPainter {
  final Color strokeColor;
  final double strokeWidth;
  final PaintingStyle paintingStyle;

  RoundedTrianglePainter({
    this.strokeColor = Colors.black,
    this.paintingStyle = PaintingStyle.fill,
    this.strokeWidth = 3,
  });

  @override
  void paint(Canvas canvas, Size size) {
    final Paint paint = Paint()
      ..color = strokeColor
      ..strokeWidth = strokeWidth
      ..style = paintingStyle;

    final path = Path()
      ..moveTo(size.width / 2, 0) // top middle point
      ..lineTo(0, size.height) // bottom left point
      ..lineTo(size.width, size.height) // bottom right point
      ..close(); // closes the path to the start point

    canvas.drawPath(path, paint);
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return false;
  }
}
